petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscEmacsClientErrorHandler

Error handler that uses the emacsclient program to load the file where the error occured. Then calls the "previous" error handler.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscEmacsClientErrorHandler(MPI_Comm comm,int line,const char *fun,const char *file,PetscErrorCode n,PetscErrorType p,const char *mess,void *ctx)

Not Collective Many br

### Input Parameters

| comm | - communicator over which error occured Many br
| line | - the line number of the error (indicated by __LINE__) Many br
| func | - the function where error is detected (indicated by __FUNCT__) Many br
| file | - the file in which the error was detected (indicated by __FILE__) Many br
| mess | - an error text string, usually just printed to the screen Many br
| n | - the generic error number Many br
| p | - specific error number Many br
| ctx | - error handler context Many br

### Options Database Key

-on_error_emacs <machinename> - Many br Many br

### Notes

You must put (server-start) in your .emacs file for the emacsclient software to work Many br

Most users need not directly employ this routine and the other error Many brhandlers, but can instead use the simplified interface SETERRQ, which has Many brthe calling sequence Many br

        SETERRQ(PETSC_COMM_SELF,number,p,mess)

### Notes for experienced users

Use PetscPushErrorHandler() to set the desired error handler. Many br

Developer Note: Since this is an error handler it cannot call CHKERRQ(); thus we just return if an error is detected. Many br

### See Also

PetscPushErrorHandler(), PetscAttachDebuggerErrorHandler(),
PetscAbortErrorHandler() Many br

Level:developer
Location:src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages